libzypp (17.38.14-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * clean-up /var/ on purge

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/17.38.14'

 -- Luca Boccassi <bluca@debian.org>  Mon, 22 Jun 2026 15:11:01 +0100

libzypp (17.38.13-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.13'

 -- Luca Boccassi <bluca@debian.org>  Fri, 12 Jun 2026 17:47:46 +0100

libzypp (17.38.12-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.12'

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Jun 2026 13:57:51 +0100

libzypp (17.38.11-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.11'

 -- Luca Boccassi <bluca@debian.org>  Sat, 30 May 2026 19:17:08 +0100

libzypp (17.38.9-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.9'

 -- Luca Boccassi <bluca@debian.org>  Fri, 22 May 2026 10:10:26 +0100

libzypp (17.38.8-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.8'

 -- Luca Boccassi <bluca@debian.org>  Wed, 13 May 2026 21:37:24 +0100

libzypp (17.38.7-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.7'
  * Drop all patches, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Fri, 01 May 2026 09:29:20 +0100

libzypp (17.38.6-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.6'
  * Bump Standards-version to 4.7.4, no changes
  * Backport patch to fix unit test failure

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 Apr 2026 14:31:20 +0100

libzypp (17.38.5-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.5'

 -- Luca Boccassi <bluca@debian.org>  Thu, 19 Mar 2026 22:39:54 +0000

libzypp (17.38.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.4'

 -- Luca Boccassi <bluca@debian.org>  Sat, 14 Mar 2026 22:55:59 +0000

libzypp (17.38.3-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.3'
  * Add workaround for unoverridable Lintian false positive

 -- Luca Boccassi <bluca@debian.org>  Sun, 08 Mar 2026 11:56:59 +0000

libzypp (17.38.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.2'

 -- Luca Boccassi <bluca@debian.org>  Wed, 04 Feb 2026 15:07:28 +0000

libzypp (17.38.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.38.1'
  * Drop patches, merged upstream
  * Drop priority from d/control, now defaults to optional
  * Drop Rules-Requires-Root, now defaults to no
  * Bump Standards-version to 4.7.3
  * Install new usr/etc/zypp/zypp.conf file

 -- Luca Boccassi <bluca@debian.org>  Thu, 22 Jan 2026 10:36:38 +0100

libzypp (17.37.18-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.37.18'
  * Backport patch to fix build with RPM 6 (Closes: #1120826)
  * d/rules: skip RpmPkgSigCheck_test, not compatible with RPM 6
  * d/copyright: update paths for new source layout

 -- Luca Boccassi <bluca@debian.org>  Mon, 08 Dec 2025 23:36:19 +0000

libzypp (17.37.17-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.37.17'

 -- Luca Boccassi <bluca@debian.org>  Sun, 17 Aug 2025 23:03:26 +0100

libzypp (17.37.16-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.37.16'
  * Build depend on squid for tests
  * Build with package-notes ELF stamping
  * Drop version restrictions satisfied since at least oldoldstable

 -- Luca Boccassi <bluca@debian.org>  Sun, 10 Aug 2025 12:28:07 +0100

libzypp (17.36.7-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.36.7'
  * d/copyright: use GPL URL instead of old FSF postal address

 -- Luca Boccassi <bluca@debian.org>  Fri, 02 May 2025 10:06:00 +0100

libzypp (17.36.6-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.36.6'

 -- Luca Boccassi <bluca@debian.org>  Fri, 04 Apr 2025 09:47:25 +0100

libzypp (17.36.5-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.36.5'
  * d/control: bump Standards-Version to 4.7.2, no changes

 -- Luca Boccassi <bluca@debian.org>  Tue, 18 Mar 2025 18:03:27 +0000

libzypp (17.36.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.36.4'
  * Skip failing unit test (Closes: #1099245)

 -- Luca Boccassi <bluca@debian.org>  Sun, 02 Mar 2025 13:01:54 +0000

libzypp (17.36.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.36.2'

 -- Luca Boccassi <bluca@debian.org>  Tue, 25 Feb 2025 17:39:14 +0000

libzypp (17.36.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.36.1'

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Feb 2025 09:37:32 +0000

libzypp (17.36.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.36.0'

 -- Luca Boccassi <bluca@debian.org>  Tue, 11 Feb 2025 10:50:30 +0000

libzypp (17.35.19-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.19'

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jan 2025 11:11:13 +0000

libzypp (17.35.18-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.18'
  * Adjust cmake files installation paths

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 Jan 2025 13:47:27 +0000

libzypp (17.35.16-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.16'

 -- Luca Boccassi <bluca@debian.org>  Fri, 20 Dec 2024 11:26:37 +0000

libzypp (17.35.15-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.15'
  * Drop last patch, merged upstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 12 Dec 2024 10:24:56 +0000

libzypp (17.35.14-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.14'

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Nov 2024 14:00:09 +0000

libzypp (17.35.13-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.13'
  * Drop out-of-tree patch and use dh-exec to rename cmake files
  * Drop lines for removed files from d/copyright

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Nov 2024 11:29:09 +0000

libzypp (17.35.12-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.12'

 -- Luca Boccassi <bluca@debian.org>  Sun, 13 Oct 2024 16:49:05 +0100

libzypp (17.35.11-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.11'

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Sep 2024 10:59:58 +0200

libzypp (17.35.10-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.10'

 -- Luca Boccassi <bluca@debian.org>  Tue, 10 Sep 2024 12:19:14 +0200

libzypp (17.35.9-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.9'

 -- Luca Boccassi <bluca@debian.org>  Fri, 09 Aug 2024 11:19:16 +0100

libzypp (17.35.8-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.8'

 -- Luca Boccassi <bluca@debian.org>  Sun, 04 Aug 2024 12:39:17 +0100

libzypp (17.35.7-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.7'

 -- Luca Boccassi <bluca@debian.org>  Fri, 02 Aug 2024 09:56:34 +0100

libzypp (17.35.4-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.4'

 -- Luca Boccassi <bluca@debian.org>  Sat, 27 Jul 2024 14:58:37 +0100

libzypp (17.35.3-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.3'

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Jul 2024 14:18:06 +0100

libzypp (17.35.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.2'

 -- Luca Boccassi <bluca@debian.org>  Thu, 11 Jul 2024 10:16:11 +0100

libzypp (17.35.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.1'

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Jul 2024 11:49:17 +0100

libzypp (17.35.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Jul 2024 09:40:32 +0100

libzypp (17.35.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.35.0'
  * Drop protobuf dependencies, no longer used
  * Rename libzypp package for soname bump

 -- Luca Boccassi <bluca@debian.org>  Fri, 28 Jun 2024 21:13:59 +0100

libzypp (17.34.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.34.1'

 -- Luca Boccassi <bluca@debian.org>  Tue, 04 Jun 2024 10:39:20 +0100

libzypp (17.34.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 May 2024 17:15:28 +0100

libzypp (17.34.0-1~exp) experimental; urgency=medium

  * Update upstream source from tag 'upstream/17.34.0'
  * Rename libzypp package for SONAME bump

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 May 2024 11:27:27 +0100

libzypp (17.33.3-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.33.3'

 -- Luca Boccassi <bluca@debian.org>  Fri, 10 May 2024 11:23:05 +0100

libzypp (17.33.1-1) unstable; urgency=medium

  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Sun, 05 May 2024 12:14:49 +0100

libzypp (17.33.1-1~exp) experimental; urgency=medium

  * Update upstream source from tag 'upstream/17.33.1'
  * Recommend libproxy1v5, it is now dlopen'ed when needed
  * Rename libzypp package for new SONAME version

 -- Luca Boccassi <bluca@debian.org>  Sat, 04 May 2024 14:12:01 +0100

libzypp (17.32.6-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.32.6'

 -- Luca Boccassi <bluca@debian.org>  Fri, 03 May 2024 11:29:08 +0100

libzypp (17.32.5-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.32.5'
  * Bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Sat, 20 Apr 2024 19:39:40 +0100

libzypp (17.32.3-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.32.3'
  * Add support for nodoc profile
  * Use nodoc profile on Salsa

 -- Luca Boccassi <bluca@debian.org>  Sun, 14 Apr 2024 15:14:07 +0100

libzypp (17.32.2-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.32.2'

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Apr 2024 23:16:45 +0100

libzypp (17.32.1-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.32.1'

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Apr 2024 14:21:30 +0100

libzypp (17.32.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Sun, 24 Mar 2024 18:28:24 +0000

libzypp (17.32.0-1~exp1) experimental; urgency=medium

  * Update upstream source from tag 'upstream/17.32.0'
  * Rename libzyp1722 -> libzypp1732 for new soname version

 -- Luca Boccassi <bluca@debian.org>  Sat, 23 Mar 2024 19:41:39 +0000

libzypp (17.31.31-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.31.31'
  * Build depend on pkgconf instead of pkg-config

 -- Luca Boccassi <bluca@debian.org>  Thu, 08 Feb 2024 12:25:59 +0000

libzypp (17.31.29-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.31.29'

 -- Luca Boccassi <bluca@debian.org>  Thu, 25 Jan 2024 23:52:52 +0000

libzypp (17.31.28-1) unstable; urgency=medium

  * Move package to pkg-rpm-team
  * Update upstream source from tag 'upstream/17.31.28'
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Sat, 13 Jan 2024 12:01:01 +0000

libzypp (17.31.27-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.31.27'
    (Closes: #1058996)
  * Add build dependency on vsftpd

 -- Luca Boccassi <bluca@debian.org>  Tue, 26 Dec 2023 18:17:14 +0100

libzypp (17.31.25-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.31.25'

 -- Luca Boccassi <bluca@debian.org>  Mon, 18 Dec 2023 19:00:50 +0100

libzypp (17.31.23-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.31.23'

 -- Luca Boccassi <bluca@debian.org>  Thu, 26 Oct 2023 15:19:54 +0100

libzypp (17.31.22-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/17.31.22'
  * Drop 1010_gpgme-pkg_search_module.diff and RpmHeader-include.patch,
    merged upstream

 -- Luca Boccassi <bluca@debian.org>  Sat, 14 Oct 2023 10:49:12 +0100

libzypp (17.31.21-2) unstable; urgency=medium

  * Merge tag '17.31.21' into debian/sid
  * Switch to git-buildpackage workflow
  * Switch to debhelper
  * Disable flaky tests (Closes: #1053289)
  * Fix build without 'all' packages
  * Override Lintian error about documentation

 -- Luca Boccassi <bluca@debian.org>  Sun, 01 Oct 2023 22:00:33 +0100

libzypp (17.31.21-1) unstable; urgency=medium

  * Mark libzypp-common as MA: foreign
  * d/copyright: use common stanzas for same license and wildcards
  * d/copyright: update upstream-contact to project mailing list
  * New upstream release 17.31.21

 -- Luca Boccassi <bluca@debian.org>  Sat, 30 Sep 2023 14:03:06 +0100

libzypp (17.31.20-1) unstable; urgency=medium

  * New upstream release 17.31.20

 -- Luca Boccassi <bluca@debian.org>  Sun, 27 Aug 2023 01:48:46 +0100

libzypp (17.31.17-1) unstable; urgency=medium

  * New upstream release 17.31.17-1

 -- Luca Boccassi <bluca@debian.org>  Mon, 31 Jul 2023 21:10:25 +0100

libzypp (17.31.16-1) unstable; urgency=medium

  * New upstream release 17.31.16
  * Install new static libs in -dev package

 -- Luca Boccassi <bluca@debian.org>  Wed, 26 Jul 2023 23:07:13 +0100

libzypp (17.31.15-1) unstable; urgency=medium

  * New upstream release 17.31.15
  * Drop 1003_various-typo-fixes.patch, fixed or obsolete
  * Drop 0001-Add-missing-includes-for-GCC-11-bsc-1181874.patch, applied
    upstream
  * Drop 0001-Fix-building-with-GCC-12.x-release.patch, applied upstream
  * Refresh patches for new upstream release 17.31.15
  * Bump Standards-Version to 4.6.2, no changes
  * Add new build dependency on protobuf
  * Install new header files
  * Install new zypp-rpm binary
  * Bump dependency on libsolv to 0.7.24
  * Add myself as uploader

 -- Luca Boccassi <bluca@debian.org>  Thu, 06 Jul 2023 11:11:32 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libzypp-common`.
